Subject: Re: How to avoid GNU make case sensitivity?
From: [email-masked] (Richard Stanton)

16 Aug 1997 11:04:15 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.106)
Content-Type: text/plain; charset=US-ASCII
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: <[email-masked]> (message from Sergey
	Okhapkin on Fri, 15 Aug 1997 13: 49:17 +0400)
Original-Sender: [email-masked]

    Sergey> #!/bin/sh
    Sergey> for i in *; do
    Sergey>       new=`echo $i|tr [A-Z] [a-z]`;
    Sergey>       mv $i $new
    Sergey> done

Or, using 4NT, in the topmost directory, where I want to "downcase"
everything in that directory or below:

for /R . %%f in (*) lower %f

where the batch file lower.cmd contains the line

ren %1 %@lower[%1]

a. This could all be done in one line.
b. I don't know if I need the double %%, but it doesn't hurt.

Richard Stanton

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".